[**@rxap/components v19.1.0-dev.1**](../README.md)

***

[@rxap/components](../globals.md) / Segment

# Interface: Segment

Defined in: [json-viewer/json-viewer.component.ts:29](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/json-viewer/json-viewer.component.ts#L29)

## Properties

### description

> **description**: `string`

Defined in: [json-viewer/json-viewer.component.ts:33](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/json-viewer/json-viewer.component.ts#L33)

***

### expanded

> **expanded**: `boolean`

Defined in: [json-viewer/json-viewer.component.ts:34](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/json-viewer/json-viewer.component.ts#L34)

***

### key

> **key**: `string`

Defined in: [json-viewer/json-viewer.component.ts:30](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/json-viewer/json-viewer.component.ts#L30)

***

### type

> **type**: `undefined` \| `string`

Defined in: [json-viewer/json-viewer.component.ts:32](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/json-viewer/json-viewer.component.ts#L32)

***

### value

> **value**: `any`

Defined in: [json-viewer/json-viewer.component.ts:31](https://gitlab.com/rxap/packages/-/blob/e3bb0ca983f56d75192a8e5eff1d3ecab00a3c63/packages/angular/components/src/lib/json-viewer/json-viewer.component.ts#L31)
